export interface TabType {
    Name: string;
    Target: string;
    Children?: TabType[];
}
export declare class DgaTableOfContent {
    sections: TabType[];
    subTitle: string;
    title: string;
    activeSectionId: string;
    private tabRefs;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    private convertToScrollRanges;
    private handleScroll;
    private moveTOSelectedId;
    private handleAddPressed;
    private handleRemovePressed;
    private renderTab;
    private renderSubTabs;
    render(): any;
}
